commit:     cfb29fb00e056aa3b599c34172f7f2ca6bea8a71
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 01:47:09 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 01:47:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfb29fb0

games-misc/typespeed: add patch from Felix Janda to build on the musl profiles 
(bug #570452)

Package-Manager: portage-2.2.24

 games-misc/typespeed/files/typespeed-0.6.5-musl.patch | 15 +++++++++++++++
 games-misc/typespeed/typespeed-0.6.5.ebuild           |  7 +++----
 2 files changed, 18 insertions(+), 4 deletions(-)

diff --git a/games-misc/typespeed/files/typespeed-0.6.5-musl.patch 
b/games-misc/typespeed/files/typespeed-0.6.5-musl.patch
new file mode 100644
index 0000000..3fd53b3
--- /dev/null
+++ b/games-misc/typespeed/files/typespeed-0.6.5-musl.patch
@@ -0,0 +1,15 @@
+diff -ur a/typespeed-0.6.5/src/typespeed.h b/typespeed-0.6.5/src/typespeed.h
+--- a/typespeed-0.6.5/src/typespeed.h  2008-08-13 15:36:51.000000000 +0100
++++ b/typespeed-0.6.5/src/typespeed.h  2016-01-01 10:41:54.919998820 +0100
+@@ -27,10 +27,10 @@
+ 
+ #include <stdint.h>
+ #include <stdio.h>
++#include <time.h>
+ 
+ #ifdef WIN32
+       #include <dirent.h>
+-      #include <time.h>
+ 
+       #ifndef MAXHOSTNAMELEN
+               #define MAXHOSTNAMELEN  256

diff --git a/games-misc/typespeed/typespeed-0.6.5.ebuild 
b/games-misc/typespeed/typespeed-0.6.5.ebuild
index 88c9474..cca2de7 100644
--- a/games-misc/typespeed/typespeed-0.6.5.ebuild
+++ b/games-misc/typespeed/typespeed-0.6.5.ebuild
@@ -3,7 +3,7 @@
 # $Id$
 
 EAPI=5
-inherit autotools games
+inherit autotools eutils games
 
 DESCRIPTION="Test your typing speed, and get your fingers CPS"
 HOMEPAGE="http://typespeed.sourceforge.net/";
@@ -24,9 +24,8 @@ src_prepare() {
                -e 's/testsuite//' \
                -e 's/doc//' \
                Makefile.am || die
-       sed -i \
-               -e '/^CC =/d' \
-               src/Makefile.am || die
+       sed -i -e '/^CC =/d' src/Makefile.am || die
+       epatch "${FILESDIR}"/${P}-musl.patch
        rm -rf m4 #417265
        eautoreconf
 }

Reply via email to